Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface ClauseType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ClauseTypeImpl

    public interface ClauseType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Clause Type'.

The following features are supported:

- `Simple Clause`
- `Compound Clause`

See Also:
  `QueryPackage.getClauseType()`

Method Summary
`CompoundClauseType` | `getCompoundClause()` Returns the value of the 'Compound Clause' containment reference.
`SimpleClauseType` | `getSimpleClause()` Returns the value of the 'Simple Clause' containment reference.
`void` | `setCompoundClause(CompoundClauseType value)` Sets the value of the '`Compound Clause`' containment reference.
`void` | `setSimpleClause(SimpleClauseType value)` Sets the value of the '`Simple Clause`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSimpleClause

    SimpleClauseType getSimpleClause()

  Returns the value of the 'Simple Clause' containment reference.

  If the meaning of the 'Simple Clause' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Simple Clause' containment reference.
  See Also:
    `setSimpleClause(SimpleClauseType)`, `QueryPackage.getClauseType_SimpleClause()`

### setSimpleClause

    void setSimpleClause(SimpleClauseType value)

  Sets the value of the '`Simple Clause`' containment reference.

  Parameters:
    `value` - the new value of the 'Simple Clause' containment reference.
  See Also:
    `getSimpleClause()`

### getCompoundClause

    CompoundClauseType getCompoundClause()

  Returns the value of the 'Compound Clause' containment reference.

  If the meaning of the 'Compound Clause' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Compound Clause' containment reference.
  See Also:
    `setCompoundClause(CompoundClauseType)`, `QueryPackage.getClauseType_CompoundClause()`

### setCompoundClause

    void setCompoundClause(CompoundClauseType value)

  Sets the value of the '`Compound Clause`' containment reference.

  Parameters:
    `value` - the new value of the 'Compound Clause' containment reference.
  See Also:
    `getCompoundClause()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD